<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01
  Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>

<head>
    <title>Create New Square Footage Layer</title>
    <meta content="text/html; charset=utf-8" http-equiv="Content-Type">
    <meta http-equiv="content-script-type" content="text/javascript">
    <meta http-equiv="content-style-type" content="text/css">

    <link href="../viewerfiles/viewer.css" rel="stylesheet"
      type="text/css">

    <script language="javascript" type="text/javascript">
        function OnPageLoad()
        {
           alert('hola');
           // parent.mapFrame.Refresh();
           // parent.mapFrame.ZoomToScale(9999);
        }
    </script>
</head>

<body>
    
<?php

require_once('../Common.php');
require_once '../mapviewerphp/layerdefinitionfactory.php';
require_once('layer_functions.php');

$sessionId = $_GET['SESSION'];
$mapName = $_GET['MAPNAME'];
try
{

    //---------------------------------------------------//
    // Initialize
    MgInitializeWebTier($webconfigFilePath);
    $userInfo = new MgUserInformation($sessionId);
    $siteConnection = new MgSiteConnection();
    $siteConnection->Open($userInfo);
    $resourceService = $siteConnection->CreateService(MgServiceType::ResourceService);

    // Open the map
    $map = new MgMap();
    $map->Open($resourceService, $mapName);


    //---------------------------------------------------//
    $factory = new LayerDefinitionFactory();
    
	$areaRule= $factory->CreateAreaRule('','','FF0000FF');
    // Create an Area type style.   
    $areaTypeStyle=$factory->CreateAreaTypeStyle($areaRule);

	// Create a scale range.
    $minScale = '0';
    $maxScale = '500000000000';    			 
    $areaScaleRange = $factory->CreateScaleRange($minScale, $maxScale, $areaTypeStyle);

    // Create the layer definiton.
	$dataResource = 'Library://Demo/Data/carreteras.FeatureSource';
    $featureClass = 'SDF_2_Schema:carreteras';
    $geometry = 'Data';
    $layerDefinition = $factory->CreateLayerDefinition($dataResource, $featureClass, $geometry, $areaScaleRange);
    
    //---------------------------------------------------//
        
    // Add the layer to the map
    $newLayer = add_layer_definition_to_map($layerDefinition, "carr", "carr", $sessionId, $resourceService, $map);
    //---------------------------------------------------//

    //  Save the map back to the session repository
	
    $sessionIdName = "Session:$sessionId//$mapName.Map";
    $sessionResourceID = new MgResourceIdentifier($sessionIdName);
    $sessionResourceID->Validate();
    $map->Save($resourceService, $sessionResourceID);

    //---------------------------------------------------//

    
}
catch (MgException $e)
{
    echo 'ERROR: ' . $e->GetMessage() . "<BR>\n";
    echo $e->GetDetails() . "<BR>\n";
    echo $e->GetStackTrace() . "<BR>\n";
}
?>

</body>
</html>

